## ros-lunar-mavros-extras 0.29.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mavros_extras)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  mavros
  mavros_msgs
  roscpp
  sensor_msgs
  std_msgs
  tf
  tf2_eigen
  urdf
  visualization_msgs
)

## System dependencies are found with CMake's conventions
find_package(Boost REQUIRED COMPONENTS system)

find_package(Eigen3)
if(NOT EIGEN3_FOUND)
  # Fallback to cmake_modules
  find_package(cmake_modules REQUIRED)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
  set(EIGEN3_LIBRARIES ${EIGEN_LIBRARIES})
endif()

include(EnableCXX11)
include(MavrosMavlink)

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()



###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES
  CATKIN_DEPENDS geometry_msgs mavros mavros_msgs roscpp sensor_msgs std_msgs visualization_msgs
  DEPENDS Boost
)

###########
## Build ##
###########

include_directories(
  ${catkin_INCLUDE_DIRS}
  ${mavlink_INCLUDE_DIRS}
)

add_library(mavros_extras
  src/plugins/adsb.cpp
  src/plugins/cam_imu_sync.cpp
  src/plugins/companion_process_status.cpp
  src/plugins/debug_value.cpp
  src/plugins/distance_sensor.cpp
  src/plugins/fake_gps.cpp
  src/plugins/gps_rtk.cpp
  src/plugins/log_transfer.cpp
  src/plugins/mocap_pose_estimate.cpp
  src/plugins/obstacle_distance.cpp
  src/plugins/odom.cpp
  src/plugins/px4flow.cpp
  src/plugins/rangefinder.cpp
  src/plugins/trajectory.cpp
  src/plugins/vibration.cpp
  src/plugins/vision_pose_estimate.cpp
  src/plugins/vision_speed_estimate.cpp
  src/plugins/wheel_odometry.cpp
)
add_dependencies(mavros_extras
  ${catkin_EXPORTED_TARGETS}
)
target_link_libraries(mavros_extras
  ${mavros_LIBRARIES}
  ${catkin_LIBRARIES}
)

## Declare a cpp executable
add_executable(copter_visualization
  src/copter_visualization.cpp
)
target_link_libraries(copter_visualization
  ${catkin_LIBRARIES}
)

add_executable(servo_state_publisher
  src/servo_state_publisher.cpp
)
target_link_libraries(servo_state_publisher
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
file(GLOB SCRIPTS ${PROJECT_SOURCE_DIR}/scripts/*)
install(PROGRAMS
  ${SCRIPTS}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark executables and/or libraries for installation
install(TARGETS copter_visualization mavros_extras servo_state_publisher
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
install(FILES
  mavros_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_mavros_extras.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

# vim: ts=2 sw=2 et:

=== debian/changelog ===
ros-lunar-mavros-extras (0.29.2-0stretch) stretch; urgency=high

  * extras: odom: update velocity covariance fields from 'twist' to 'velocity_covariance'
  * Contributors: TSC21

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 06 Mar 2019 00:00:00 -0000

ros-lunar-mavros-extras (0.29.1-0stretch) stretch; urgency=high

  * All: catkin lint files
  * cmake: fix #1174 <https://github.com/mavlink/mavros/issues/1174>: add msg deps for package format 2
  * mavros_extras: Convert source files to Unix line endings
  * Contributors: Pierre Kancir, Vladimir Ermakov, sfalexrog

 -- Vladimir Ermakov <vooon341@gmail.com>  Sun, 03 Mar 2019 00:00:00 -0000

ros-lunar-mavros-extras (0.29.0-0stretch) stretch; urgency=high

  * obstacle_distance: align comments
  * obstacle_distance: fixup items after peer review
    changes include using size_t instead of int for loop variables
    scale_factor calculation ensures argument are floating point
    remove unnecessary n variable
  * obstacle_distance: combine sensor distances to fit within outgoing message
  * gps_rtk: documentation fixes
  * Fix broken documentation URLs
  * added tf2_eigen to dependencies, so that building with catkin tools does not fail anymore
  * Merge branch 'master' into param-timeout
  * mavros_extras: Wheel odometry plugin updated according to the final mavlink WHEEL_DISTANCE message.
  * mavros_extras: mavros_plugins.xml fix after bad merge.
  * mavros_extras: Wheel odometry plugin, twist covariance matrix non-used diagonal elements zeroed.
  * mavros_extras: Wheel odometry plugin, odometry error propagation added respecting kinematics.
  * mavros_extras: Wheel odometry plugin travelled distance fixed.
  * mavros_extras: Wheel odometry plugin y-speed covariance fixed.
  * mavros_extras: Wheel odometry plugin updated to compute accurate speeds from distances using internal timesteps.
  * mavros_extras: Wheel odometry plugin fixes after CR.
  * mavros_msgs: Float32ArrayStamped replaced by WheelOdomStamped.
  * mavros_extras: Wheel odometry plugin added.
  * Contributors: Dr.-Ing. Amilcar do Carmo Lucas, Jan Heitmann, Pavlo Kolomiiets, Randy Mackay, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 02 Feb 2019 00:00:00 -0000

ros-lunar-mavros-extras (0.28.0-0stretch) stretch; urgency=high

  * odom: add ODOMETRY handler and publisher
  * remove newlines after doxygen
  * style clean up
  * Use component_id to determine message sender
  * send out companion status as heartbeat
  * change message name from COMPANION_STATUS to COMPANION_PROCESS_STATUS
  * change message to include pid
  * Change from specific avoidance status message to a more generic companion status message
  * add plugin to receive avoidance status message
  * Contributors: TSC21, baumanta

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 03 Jan 2019 00:00:00 -0000

ros-lunar-mavros-extras (0.27.0-0stretch) stretch; urgency=high

  * extras #1110 <https://github.com/mavlink/mavros/issues/1110> #1111 <https://github.com/mavlink/mavros/issues/1111>: add eigen aligment to plugins with eigen-typed members
  * Fix odom message to use covariance from msg
  * Contributors: Dion Gonano, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 12 Nov 2018 00:00:00 -0000

ros-lunar-mavros-extras (0.26.3-0stretch) stretch; urgency=high

  * fixup! b43279058a3029c67ea75b1ecb86442c9dc991d4
  * mavros_extras/log_transfer: Log transfer plugin
  * Contributors: mlvov

 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 21 Aug 2018 00:00:00 -0000

ros-lunar-mavros-extras (0.26.2-0stretch) stretch; urgency=high

  * Fix namespace (std->extras)
  * Changing the callback name to rtcm_cb
    Adding doxygen documentation
  * Sort the plugins by alphabetical order
  * Put back the casting
  * Using size_t instead of int
    Using the same rtcm_data message
    Remove int casting
  * Moving gps_rtk to mavros_extras
  * Contributors: Alexis Paques

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 08 Aug 2018 00:00:00 -0000

ros-lunar-mavros-extras (0.26.1-0stretch) stretch; urgency=high

  * trajectory: update plugin to match mavlink change from trajectory msg to
    trajectory_representation_waypoints
  * Contributors: Martina

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 19 Jul 2018 00:00:00 -0000

ros-lunar-mavros-extras (0.26.0-0stretch) stretch; urgency=high

  * odom: fix mapping for body frame
  * Contributors: TSC21

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 06 Jun 2018 00:00:00 -0000

ros-lunar-mavros-extras (0.25.1-0stretch) stretch; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 14 May 2018 00:00:00 -0000

ros-lunar-mavros-extras (0.25.0-0stretch) stretch; urgency=high

  * extras: Refactor Trajectory handle cb
  * extras: Refactor Trajectory subscription callbacks
  * trajectory: use lambda functions
  * trajectory: add time_horizon for trajectory type Bezier
  * trajectory: add time_horizon field
  * trajectory: fix wrap_pi to have constant time execution
  * trajectory: fix email
  * trajectory: when receiving mavlink trajectory msg distinguish between types
    to fill correctly the mavros message
  * trajectory: add path callback to support nav_msgs Path
  * trajectory: update trajectory_call back so that it distinguish between
    trajectory types in copy the values
  * rename ObstacleAvoidance plugin to Trajectory
  * obstacle_avoidance: use cog to fill mavlink and ros messages
  * obstacle_avoidance: uncrustify
  * mavros_plugins: add obstacle avoidance plugin
  * add obstacle_avoidance plugin
  * CMakeLists: add obstacle_avoidance plugin
  * extras: odom: explicitly set the lambda expression arg types
  * extras: odom: use lambda expression to set the transform for twist
  * extras: odom: change the way the rotation matrices are init
  * extras: odom: set the frame_id to local frame only
  * extras: odom: respect the Odometry msg frame spec
  * extras: redo odom param processing


=== debian/control ===
Source: ros-lunar-mavros-extras
Section: misc
Priority: extra
Maintainer: Vladimir Ermakov <vooon341@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-cmake-modules, ros-lunar-geometry-msgs, ros-lunar-mavros, ros-lunar-mavros-msgs, ros-lunar-roscpp, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-tf, ros-lunar-tf2-eigen, ros-lunar-urdf, ros-lunar-visualization-msgs
Homepage: http://wiki.ros.org/mavros_extras
Standards-Version: 3.9.2

Package: ros-lunar-mavros-extras
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-geometry-msgs, ros-lunar-mavros, ros-lunar-mavros-msgs, ros-lunar-roscpp, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-tf, ros-lunar-tf2-eigen, ros-lunar-urdf, ros-lunar-visualization-msgs
Description: Extra nodes and plugins for MAVROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-mavros-extras//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
